install.packages("lavaan")
library(lavaan)

model <- 
  'delta =~ 1*perfo2
 perfo2 ~ 1*perfo1

 delta ~ perfo1

 delta ~~ delta
 perfo1 ~~ perfo1
 perfo2 ~~ 0*perfo2


 perfo1 ~ 1
 delta  ~ 1
 perfo2 ~ 0'

Difffit <- sem(model, data=wisc3raw, mimic="mplus", fixed.x=FALSE)

summary(Difffit, fit.measures=TRUE, standardized=TRUE)