*****************************************************
*		ATI workshop					            *
*		Session L    :                              *
*       rto8age2.dta                             	* 
*       Mplus file:    prog01_Vc_1fac              	*
*****************************************************

*TITLE:    V subtests: 1 Factor model  
clear

* Read data - rto8age2.dat
cd "C:\Users\JiHoon\Documents\UVa_Tenure\Service\Advising\ATI_STATA_RyooShi\Week3_22Apr14\Session L - Lecture - Common Factors\Session_L_Programs\Stata" 
use "rto8age2.dta"

* Model

gsem (Vc_06 -> info_06, ) (Vc_06@L2 -> voca_06, ) (Vc_06@L3 -> comp_06, ) ///
(Vc_06@L4 -> simi_06, ), iterate(10000) latent(Vc_06 ) cov( Vc_06@1) ///
means( Vc_06@0) nocapslatent


* Goodness-of-fit
estat gof, stats(all)
// After gsem command, NOT able to execute the postestimation: estat gof
