*****************************************************
*		ATI workshop					            *
*		Session L    :                              *
*       rto8age2.dta                             	* 
*       Mplus file:    prog10_GcGf_0fac           	*
*****************************************************

*TITLE:    Gc-Gf: 0 Factor model - null model
clear

* Read data - rto8age2.dat
cd "C:\Users\JiHoon\Documents\UVa_Tenure\Service\Advising\ATI_STATA_RyooShi\Week3_22Apr14\Session L - Lecture - Common Factors\Session_L_Programs\Stata" 
use "rto8age2.dta"

* Model
sem (g_06@0 -> comp_06, ) (g_06@0 -> voca_06, ) (g_06@0 -> bloc_06, ) ///
(g_06@0 -> obje_06,), iterate(10000) latent(g_06 ) cov( g_06@1) means( g_06@0) nocapslatent

* Standardized result
sem (g_06@0 -> comp_06, ) (g_06@0 -> voca_06, ) (g_06@0 -> bloc_06, ) ///
(g_06@0 -> obje_06,), iterate(10000) latent(g_06 ) cov( g_06@1) means( g_06@0) ///
standardized nocapslatent

* Goodness-of-fit
estat gof, stats(all)
