*************************************************************
*		ATI workshop					                    *
*		Session L    :                                      *
*       rto8age2.dta                                    	* 
*       Mplus file: prog23_1fac2times_STRICT_FI          	*
*************************************************************

*TITLE:    Verbal factor at Ages 6 and 11 Years
*STRICT Factorial Invariance  
clear

* Read data - rto8age2.dat
cd "C:\Users\JiHoon\Documents\UVa_Tenure\Service\Advising\ATI_STATA_RyooShi\Week3_22Apr14\Session L - Lecture - Common Factors\Session_L_Programs\Stata" 
use "rto8age2.dta"

* Model

sem (info_06 <- _cons@I1, ) (voca_06 <- _cons@I2, ) (comp_06 <- _cons@I3, ) ///
(simi_06 <- _cons@I4, ) (info_11 <- _cons@I1, ) (voca_11 <- _cons@I2, ) ///
(comp_11 <- _cons@I3, ) (simi_11<- _cons@I4, ) (Verb_06@L1 -> info_06, ) ///
(Verb_06@L2 -> voca_06, ) (Verb_06@L3 -> comp_06, ) (Verb_06@L4 -> simi_06, ) ///
(Verb_11@L1 -> info_11, ) (Verb_11@L2 -> voca_11, ) (Verb_11@L3 -> comp_11, ) ///
(Verb_11@L4 -> simi_11, ), covstruct(_lexogenous, diagonal) iterate(10000) ///
latent(Verb_06 Verb_11 ) cov( e.info_06@U1 e.voca_06@U2 e.comp_06@U3 e.simi_06@U4 ///
e.info_11@U1 e.voca_11@U2 e.comp_11@U3 e.simi_11@U4 Verb_06@1) means( Verb_06@0) nocapslatent

* Standardized result
sem (info_06 <- _cons@I1, ) (voca_06 <- _cons@I2, ) (comp_06 <- _cons@I3, ) ///
(simi_06 <- _cons@I4, ) (info_11 <- _cons@I1, ) (voca_11 <- _cons@I2, ) ///
(comp_11 <- _cons@I3, ) (simi_11<- _cons@I4, ) (Verb_06@L1 -> info_06, ) ///
(Verb_06@L2 -> voca_06, ) (Verb_06@L3 -> comp_06, ) (Verb_06@L4 -> simi_06, ) ///
(Verb_11@L1 -> info_11, ) (Verb_11@L2 -> voca_11, ) (Verb_11@L3 -> comp_11, ) ///
(Verb_11@L4 -> simi_11, ), covstruct(_lexogenous, diagonal) iterate(10000) ///
latent(Verb_06 Verb_11 ) cov( e.info_06@U1 e.voca_06@U2 e.comp_06@U3 e.simi_06@U4 ///
e.info_11@U1 e.voca_11@U2 e.comp_11@U3 e.simi_11@U4 Verb_06@1) means( Verb_06@0) standardized nocapslatent



// Not sure about the Verb_06 BY info_06*(L1),  Verb_11 BY info_11*(L1) part
// Others are fine.
