install.packages("lavaan")
library(lavaan)

model <- 
  'perfo2 ~ perfo1 + grad

 perfo2 ~~ perfo2
 perfo1 ~~ perfo1
 grad~~grad

 perfo2 ~ 1
 perfo1 ~ 1
 grad ~ 1

 perfo1 ~~ grad '

ARfit <- sem(model, data=wisc3raw, mimic="mplus")

summary(ARfit, fit.measures=TRUE, standardized=TRUE)