install.packages("lavaan")
library(lavaan)

# computing delta
wisc3raw$delta<-wisc3raw$perfo2 - wisc3raw$perfo1
model <- '
  # regression
    delta ~ perfo1 + grad
  # intercepts, means, variances, and error variances
    perfo1 ~ 1
    delta ~ 1
    grad ~ 1
'
Difffit <- sem(model,
             data=wisc3raw)
summary(Difffit)

model <- 
  'delta =~ 1*perfo2
 perfo2 ~ 1*perfo1

 delta ~ perfo1 + grad

 delta ~~ delta
 perfo1 ~~ perfo1
 perfo2 ~~ 0*perfo2
 grad ~~ grad
 perfo1 ~~ grad


 perfo1 ~ 1
 delta  ~ 1
 grad ~ 1
 perfo2 ~ 0'

Difffit <- sem(model, data=wisc3raw, mimic="mplus", fixed.x=FALSE)

summary(Difffit, fit.measures=TRUE, standardized=TRUE)