*************************************************************
*		ATI workshop					                    *
*		Session L    :                                      *
*       rto8age2.dta                                    	* 
*       Mplus file: prog25_1fac2times_1factor               *
*************************************************************

*TITLE:    Verbal factor at Ages 6 and 11 Years
*single factor
clear

* Read data - rto8age2.dat
cd "C:\Users\JiHoon\Documents\UVa_Tenure\Service\Advising\ATI_STATA_RyooShi\Week3_22Apr14\Session L - Lecture - Common Factors\Session_L_Programs\Stata" 
use "rto8age2.dta"

* Model

sem (Verb_06 -> info_06, ) (Verb_06 -> voca_06, ) (Verb_06 -> comp_06, ) ///
(Verb_06 -> simi_06, ) (Verb_06 -> info_11, ) (Verb_06 -> voca_11, ) ///
(Verb_06 -> comp_11, ) (Verb_06 -> simi_11, ) (info_06 <- _cons@I1, ) ///
(info_11 <- _cons@I1, ), iterate(10000) latent(Verb_06 ) cov( Verb_06@1) ///
means( Verb_06@0) nocapslatent

* Standardized result
sem (Verb_06 -> info_06, ) (Verb_06 -> voca_06, ) (Verb_06 -> comp_06, ) ///
(Verb_06 -> simi_06, ) (Verb_06 -> info_11, ) (Verb_06 -> voca_11, ) ///
(Verb_06 -> comp_11, ) (Verb_06 -> simi_11, ) (info_06 <- _cons@I1, ) ///
(info_11 <- _cons@I1, ), iterate(10000) latent(Verb_06 ) cov( Verb_06@1) ///
means( Verb_06@0) standardized nocapslatent

* Goodness of fit
estat gof, stats(all)

// Not sure about the Verb_06 BY info_06*(L1)
// Others are fine.
