ODS GRAPHICS OFF;
ODS HTML CLOSE;
ODS LISTING;

DATA cort;
	INFILE 'C:\Users\kjgrimm\Documents\UCD Folder\UCD Folder\Organization\Workshops\ATI\APA-ATI LSEM 2015\Session I - Lecture - Multiple Group Growth\Session I - Computer Scripts\Mplus - Growth Mixture\cortisol_sim.dat';
	INPUT y1-y9;
	id = _N_;
RUN;

DATA cort1;
	SET cort;
	seed = 20150402;

	IF id < 18 THEN group = 1; ELSE group = 2;

	X1 = (group - 1)*2.5 + RANNOR(seed);
	X2 = LOG(X1 + 2);
RUN;
PROC UNIVARIATE PLOT;
	VAR X1 X2;
RUN;


DATA _NULL_;
	SET cort1;
	FILE 'C:\Users\kjgrimm\Documents\UCD Folder\UCD Folder\Organization\Workshops\ATI\APA-ATI LSEM 2015\Session I - Lecture - Multiple Group Growth\Session I - Computer Scripts\Mplus - Growth Mixture\cortisol_sim_cov.dat';
	PUT y1-y9 group x1 x2;
RUN;
